# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models

def copy_committee_data(apps, schema_editor):
    Position = apps.get_model('apella', 'Position')
    CommitteeParticipation = apps.get_model('apella', 'CommitteeParticipation')
    RegistryMembership = apps.get_model('apella', 'RegistryMembership')

    for position in Position.objects.all():
        for professor in position.committee.all():
            is_internal = False
            if RegistryMembership.objects.filter(
                    professor=professor,
                    registry__department=position.department,
                    registry__type='internal').exists() or \
                    professor.department and \
                    professor.department is position.department:
                is_internal = True

            CommitteeParticipation.objects.create(
                position=position,
                professor=professor,
                is_internal=is_internal
            )


class Migration(migrations.Migration):

    dependencies = [
        ('apella', '0102_position_new_committee'),
    ]

    operations = [
        migrations.RunPython(copy_committee_data, reverse_code=migrations.RunPython.noop),
    ]
